
#include <LedControl.h>

int DIN = 11; 
int CS =  10;
int CLK = 13;

LedControl lc=LedControl(DIN,CLK,CS,1);

void setup(){

 lc.shutdown(0,false);       //The MAX72XX is in power-saving mode on startup
 lc.setIntensity(0,15);      // Set the brightness to maximum value
 lc.clearDisplay(0);         // and clear the display
}

void loop(){ 
    byte a[8] = {0x3C,0x42,0xA5,0x81,0xA5,0x99,0x42,0x3C};
    printByte(a);
    delay(10);
}

void printByte(byte character [])
{
  int i = 0;
  for(i=0;i<8;i++)
  {
    lc.setRow(0,i,character[i]);
  }
}
